

      subroutine pl
         
         implicit none

c--      ploughshare return stuff --
         character*1024 gridpath
         integer        ngrids

c--      function protoypes --
         integer fetch
         integer getnbins

c--      grid path output --
         character*1024 gridpaths

c--      returned cross section data -- 
         integer nbins
         double precision xsec(512)

c--      odds n ends --
         integer i, j

c--      this is the counter - it is automatically incremented 
c--      whenever a new grid is opened ...
         integer igrid, tgrid

         igrid = 0
         tgrid = 0

c--      fetch the ploughshare dataset --          
         ngrids = fetch( "atlas-atlas-dijets-arxiv-1312.3524" )

         do i = 1, ngrids

c--         get the full path to specific grid in the data set --
            call getgridpath( "atlas-atlas-dijets-arxiv-1312.3524", i-1, 
     &                         gridpath )

            write (6,*) i, gridpath 

         end do

         write (6,*) ""

         call initpdfset( "CT10" )

         gridpath = ""

         do i = 1, ngrids

            write (6,*) "grid index: ", i

c--         get the full path to specific grid in the data set --
            call getgridpath( "atlas-atlas-dijets-arxiv-1312.3524", i-1, 
     &                         gridpath )

c--         read the grid as usual ---
c--         here idrid is modified to be 1 larger than it was - perhaps
c--         we want to change this so that i can not be the same as any 
c--         other grid
c--         NB: the tgrid passed in to readgrid will be incremented, 
c--             so need to keep a copy so that this grid can be
c--             used 
            igrid=tgrid 
            call readgrid( tgrid, gridpath )

c--         number of bins in this grid ---    
            nbins = getnbins( igrid )

            write (6,*) "  gridpath: ", gridpath, 
     &                  " nbins:",      nbins,  
     &                  " igrid: ",     igrid

c--         do the actual convolution ---
            call convolute( igrid, xsec )

            do j=1, nbins
               write (6,*) j, "xsec = ", xsec(j)
            end do

         end do

      end

